Apache error 3221225477, need to downgrade?

Problems with the Windows version of XAMPP, questions, comments, and anything related.

Apache error 3221225477, need to downgrade?

Postby ctree » 28. October 2007 22:56

Hello, since upgrading from Xampp (Windows) 1.6.0 to 1.6.4, I periodically run into trouble with apache exiting unexpectedly. I've been able to track it down to a specific plugin on a local install of a wordpress blog that is causing the new apache version to crash with the following error log output (I'm showing two cycles):

Code: Select all
[Sun Oct 28 13:40:07 2007] [notice] Apache/2.2.6 (Win32) DAV/2 mod_ssl/2.2.6 OpenSSL/0.9.8e mod_autoindex_color PHP/5.2.4 configured — resuming normal operations
[Sun Oct 28 13:40:07 2007] [notice] Server built: Sep 21 2007 00:29:38
[Sun Oct 28 13:40:07 2007] [notice] Parent: Created child process 5196
[Sun Oct 28 13:40:10 2007] [notice] Child 5196: Child process is running
[Sun Oct 28 13:40:10 2007] [notice] Child 5196: Acquired the start mutex.
[Sun Oct 28 13:40:10 2007] [notice] Child 5196: Starting 250 worker threads.
[Sun Oct 28 13:40:10 2007] [notice] Child 5196: Starting thread to listen on port 443.
[Sun Oct 28 13:40:10 2007] [notice] Child 5196: Starting thread to listen on port 80.
[Sun Oct 28 13:40:43 2007] [notice] Parent: child process exited with status 3221225477 — Restarting.
[Sun Oct 28 13:40:45 2007] [notice] Apache/2.2.6 (Win32) DAV/2 mod_ssl/2.2.6 OpenSSL/0.9.8e mod_autoindex_color PHP/5.2.4 configured — resuming normal operations
[Sun Oct 28 13:40:45 2007] [notice] Server built: Sep 21 2007 00:29:38
[Sun Oct 28 13:40:45 2007] [notice] Parent: Created child process 5360
[Sun Oct 28 13:40:48 2007] [notice] Child 5360: Child process is running
[Sun Oct 28 13:40:48 2007] [notice] Child 5360: Acquired the start mutex.
[Sun Oct 28 13:40:48 2007] [notice] Child 5360: Starting 250 worker threads.
[Sun Oct 28 13:40:48 2007] [notice] Child 5360: Starting thread to listen on port 443.
[Sun Oct 28 13:40:48 2007] [notice] Child 5360: Starting thread to listen on port 80.
[Sun Oct 28 13:40:56 2007] [notice] Parent: child process exited with status 3221225477 — Restarting.



I'm not a php guru, so I'm afraid I can't figure out what the problem is
but it seems clear to me that it is some part of the plugin's code that triggers it.

The only changes I made to the Xampp apache and php defaults are

*) a memory limit increase for php from 16M to 90M
*) adding the following apache modules into the mix: mod_rewrite, mod_deflate, mod_expires and mod_headers

to better reflect the hosting environment I'm on. My web host has only slightly older versions of php/apache running - I think their apache is the same at 2.2.6 and php is at 5.2.3 - but the problem only occurs on my local install with xampp. Reverting my changes to the Xampp defaults (except mod_rewrite, wordpress won't work without it) does not fix it.

I've read elsewhere that an earlier version of php had a bug / compatibility issue with apache that caused similar error, but that was a long while ago. Anyone running into this problem?

I'm considering downgrading to an earlier version of Xampp, I'll post again if that fixes the issue for me.
ctree
 
Posts: 5
Joined: 28. October 2007 12:45

Postby Izzy » 28. October 2007 23:53

Do you have mod_perl installed in your 1.6.0 version without removing it when upgrading to 1.6.4?

Not sure if this is your problem but there is an issue with mod_perl in this 1.6.4 version and is outline on the XAMPP for Windows home page.
MOD_PERL Warning: With the new source, the Apache 2.2.6 does not function with mod_perl (win32). Seems the apache httpd team know that problem and will fix it in the next apache release. Note also: Mod_JK (Tomcat 6.0.13 Addon) functions without problems.

And here in red
http://www.apachefriends.org/en/xampp-windows.html#644

So maybe a downgrade to 1.6.3a might fix this issue if it is related to mod_perl.

Also a Google search for this error returns many results from people with the same problem but with varying causes and results - might be worth a read.
HTH


===========================================
1. The new DeskTopXampp launch control for XAMPP / XAMPPlite
Posted by Ridgewood available from Ridgewood'sDTX web site

2. Make Richer Ajax Applications - Faster
TIBCO General Interface Pro Edition but FREE and Open Source
Fully working with NO donations required to get a user/password
===========================================
Izzy
 
Posts: 3344
Joined: 25. April 2006 17:06

Postby ctree » 29. October 2007 01:23

Thanks for the suggestions izzy; I actually upgraded from the installer to the zipped version of xampp, so everything got removed during the upgrade. I believe the mod_perl add-on is a separate download that goes into /xampp/htdocs/modperl and /modperlasp, both of which don't exist in my install. It's probably something else.. I've done some searching and this issue seems to be both fairly common and rather difficult to pin down.. there's a lot of hits for this but I can't seem to make out a single issue that would cause it. In some cases it seems to have been a bug in php that caused it.

If someone wants to go bug-hunting or suspects some particular module or config setting, I'm happy to help. I'm going to ask on the apache and php IRC channels as well.
Last edited by ctree on 29. October 2007 06:00, edited 1 time in total.
ctree
 
Posts: 5
Joined: 28. October 2007 12:45

Postby ctree » 29. October 2007 05:58

A downgrade to 1.6.3a fixes it for me - no more apache crashes, with same php.ini, my.conf and httpd.conf settings. I would like to help tracking this down if possible - the wordpress plugin that causes it is quite complex though, I wouldn't know what code snippet would be relevant.
ctree
 
Posts: 5
Joined: 28. October 2007 12:45

Postby Izzy » 29. October 2007 06:55

Very strange indeed.

I have not upgraded to 1.6.4 as I need perl.

What WP plugin do you suspect is giving this hassle?

I have a WP test installation and will take a look at it and see if I can spot anything.


===========================================
1. The new DeskTopXampp launch control for XAMPP / XAMPPlite
Posted by Ridgewood available from Ridgewood'sDTX web site

2. Make Richer Ajax Applications - Faster
TIBCO General Interface Pro Edition but FREE and Open Source
Fully working with NO donations required to get a user/password
===========================================
Izzy
 
Posts: 3344
Joined: 25. April 2006 17:06

Postby ctree » 29. October 2007 07:13

izzy: wow, cool! It's the contact forms ii plugin, available from wordpress here; author page here.

Install & activate like any other wp plugin, create a form (there's a very detailed help page built into the dashboard) and make it display on a static page with

Code: Select all
<!--cforms-->


When I navigate to that page with 1.6.4, apache crashes as described above; 1.6.0 and my current version 1.6.3a don't have any problems. I suppose it may depend on which part of the form functionality you actually put into the form? I am using the captcha verification, for example. If you have trouble reproducing with whatever form you come up with, I'll post the details of my form here. My wordpress theme is K2, by the way.
ctree
 
Posts: 5
Joined: 28. October 2007 12:45

Postby Izzy » 29. October 2007 11:05

I looked at the code and could not see anything that struck me in the eye as being suspect - but there is an awful lot of it.

It works without problems for me on the same 1.6.3a version of XAMPP that works for you, which has php 5.2.3 and Apache 2.2.4

My conclusion therefore is that it is not XAMPP at fault but the latest version of php that the scripts are not compatible with and therefore it needs to be tested by the authors of cforms using the latest Apache and PHP combination on a Windows platform.

The cforms authors should download and install both the 1.6.3a and the 1.6.4 versions of XAMPP as a test bed to see what the issue is, as it is not really the responsibility of XAMPP who only put together these components so they all work together out of the box.

Often authors are busy upgrading their own scripts and don't keep up with the latest versions of the scripting language and server software until these bugs in their scripts come to light - very frustrating for the end user.

My advise to you is to keep with 1.6.3a, as it is a good release, until a new version of cforms is released and test again with the latest XAMPP compilations which might well have changed again by the time this issue is sorted.

I will take a further look at it when the next version of Apache is released that will fix the mod_perl problem and instigate a new XAMPP release (maybe 1.6.4a) so I can upgrade from 1.6.3a.

BTW there is always a version 4 of php included in every XAMPP version and changing over to that in 1.6.4 might eliminate a few guesses about the script being compatible with/not of php 5.2.4.
(If it works in 1.6.4 using php 4 then one would have to suspect php 5.2.4 and not Apache or MySQL).

Good luck with it and I hope this seemingly everlasting elusive issue can be solved once and for all - I read it has been going on in various situations for a very long time.


===========================================
1. The new DeskTopXampp launch control for XAMPP / XAMPPlite
Posted by Ridgewood available from Ridgewood'sDTX web site

2. Make Richer Ajax Applications - Faster
TIBCO General Interface Pro Edition but FREE and Open Source
Fully working with NO donations required to get a user/password
===========================================
Izzy
 
Posts: 3344
Joined: 25. April 2006 17:06

Postby ctree » 29. October 2007 23:33

I concur - thanks for the summation, izzy!
ctree
 
Posts: 5
Joined: 28. October 2007 12:45


Return to XAMPP for Windows

Who is online

Users browsing this forum: No registered users and 38 guests